Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

datasupplier_ezfilemanager_user.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php,v 1.18 2001/09/06 11:16:40 jhe Exp $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28 include_once( "ezuser/classes/ezuser.php" );
29 include_once( "classes/eztime.php" );
30 include_once( "classes/ezlocale.php" );
31 include_once( "classes/ezhttptool.php" );
32
33 $ini =& eZINI::instance( 'site.ini' );
34 $GlobalSectionID = $ini->variable( "eZFileManagerMain", "DefaultSection" );
35
36 switch ( $url_array[2] )
37 {
38 case "new" :
39 {
40 $Action = "New";
41 include( "ezfilemanager/user/fileupload.php" );
42 }
43 break;
44
45 case "insert" :
46 {
47 $Action = "Insert";
48 include( "ezfilemanager/user/fileupload.php" );
49 }
50 break;
51
52 case "edit" :
53 {
54 $FileID = $url_array[3];
55 $Action = "Edit";
56 include( "ezfilemanager/user/fileupload.php" );
57 }
58 break;
59
60 case "update" :
61 {
62 $FileID = $url_array[3];
63 $Action = "Update";
64 include( "ezfilemanager/user/fileupload.php" );
65 }
66 break;
67
68 case "fileview" :
69 {
70 $FileID = $url_array[3];
71 include( "ezfilemanager/user/fileview.php" );
72 }
73 break;
74
75 case "download" :
76 {
77 $FileID = $url_array[3];
78 include( "ezfilemanager/user/filedownload.php" );
79 }
80 break;
81
82 case "list" :
83 {
84 $FolderID = $url_array[3];
85 if ( !isSet( $FolderID ) || $FolderID == "" )
86 $FolderID = 0;
87 $Offset = $url_array[4];
88 if ( !isSet( $Offset ) || $Offset == "" )
89 $Offset = 0;
90 include( "ezfilemanager/user/filelist.php" );
91 }
92 break;
93
94 case "folder" :
95 {
96 switch ( $url_array[3] )
97 {
98
99 case "new" :
100 {
101 $parentID = $url_array[4];
102 $Action = "New";
103 include( "ezfilemanager/user/folderedit.php" );
104 }
105 break;
106 case "delete" :
107 {
108 $FolderID = $url_array[4];
109 $Action = "Delete";
110 include( "ezfilemanager/user/folderedit.php" );
111 }
112 break;
113
114 case "insert" :
115 {
116 $Action = "Insert";
117 include( "ezfilemanager/user/folderedit.php" );
118 }
119 break;
120
121 case "edit" :
122 {
123 $FolderID = $url_array[4];
124 $Action = "Edit";
125 include( "ezfilemanager/user/folderedit.php" );
126 }
127 break;
128
129 case "update" :
130 {
131 $FolderID = $url_array[4];
132 $Action = "Update";
133 include( "ezfilemanager/user/folderedit.php" );
134 }
135 break;
136
137 }
138 }
139 break;
140
141 case "search":
142 {
143 if ( $url_array[3] == "parent" )
144 {
145 $SearchText = urldecode( $url_array[4] );
146 $Offset = $url_array[5];
147 }
148
149 include( "ezfilemanager/user/search.php" );
150 }
151 break;
152
153 // graham : pass through admin cases for user file selection. (used in ezgroupeventcalendar)
154 case "browse":
155 {
156 $FolderID = $url_array[3];
157 include( "ezfilemanager/admin/browse.php" );
158 }
159 break;
160
161 case "unassigned":
162 {
163 include( "ezfilemanager/admin/unassigned.php" );
164 }
165 break;
166
167 default:
168 {
169 eZHTTPTool::header( "Location: /error/404/" );
170 exit();
171 }
172 }
173
174 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
$Action
$Action
Definition: companysearch.php:80
$GlobalSectionID
$GlobalSectionID
Definition: datasupplier_ezfilemanager_user.php:34
$ini
$ini
Definition: datasupplier_ezfilemanager_user.php:33
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$SearchText
$SearchText
Definition: ezaddress/admin/typelist.php:143
$Offset
$Offset
Definition: ezarticle/user/search.php:110
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.